PROBALIGN(1)

NAME
probalign - Align sequences in MFAFILE(s) and print result to standard output

DESCRIPTION
PROBALIGN Version 1.4 (Nov 2010) aligns multiple protein sequences and prints to the standard output. Written by Satish Chikkagoudar and Usman Roshan using code from PROBCONS version 1.1 (written by Chuong Do) and based upon probA (written by Ulrike Muckstein).

PROBALIGN 1.4 comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions. See the README file for details.

  Usage:

    probalign [OPTION]... [MFAFILE]...

  Description:

    Align sequences in MFAFILE(s) and print result to standard output

-clustalw

    use CLUSTALW output format instead of MFA

-v, --verbose

    report progress while aligning (default: off)

-a, --alignment-order

    print sequences in alignment order rather than input order (default: off)

-T, -temperature

    Sets the thermodynamic temperature parameter

    (default: 5 (for protein data mode), 1 ( for nucleotide data mode)).

-score_matrix, --score_matrix

    Sets the type of scoring matrix used to calculate the posterior probabilities (default: gonnet_160, representing gonnet 160, refer README for details)

-go, --gap-open

    This option can be used to specify the gap open parameter. The default for Gonnet 160 (protein) is 22 and nucleotide (simple matrix) is 4.

-ge, --gap-extension

    This option can be used to specify the gap extension parameter. The default for Gonnet 160 (protein) is 1 and nucleotide (simple matrix) is 0.25.

-nuc

    Specify this option to indicate that inputted sequences are nucleotide sequences

-prot

    Specify this option to indicate that inputted sequences are protein sequences [DEFAULT]

-showPP

    Outputs the posterior probabilities of alignment columns as a new sequence named Posterior Probabilities (The probability values are scaled to be between integers between 0 and 9).